//<c>   Copyright 1980-2000 by Gerry J. Danen; all rights reserved.

//<t>   Return the number of floppy drives in the errorlevel


#include"gd_tools.h"


#define DEBUG 0


void    main( void )
{
    BOOL   status ;
    int    ndrive, floppies=0 ;

    for ( ndrive = 1 ; ndrive < 27 ; ndrive++ )
    {
        status = dr_is_floppy( (UCHAR) ndrive );
        if ( status == 1 || status == 2 )
        {
            status = valid_drive( (UCHAR) (ndrive + '@') );
            if ( status )                       // does drive exist?
            {
                floppies++ ;
#if DEBUG
                printf( "%c:\n", (UCHAR) (ndrive + '@') );
#endif
            }
        }
    }

#if DEBUG
    printf( "%d floppy drives found\n", floppies );
#endif

    exit( floppies );
}
